function makecfg(objBuildInfo)

addCompileFlags(objBuildInfo,'-O3');

AVRWirePath = fullfile('$(START_DIR)', 'libs/ArduinoCore-avr/libraries/Wire/src');
AVRWirePath2 = fullfile('$(START_DIR)', 'libs/ArduinoCore-avr/libraries/Wire/src/utility');
HD44780Path = fullfile('$(START_DIR)', 'libs/hd44780');
KeypadPath = fullfile('$(START_DIR)', 'libs/Keypad/src');
FingerprintPath = fullfile('$(START_DIR)', 'libs/Adafruit_Fingerprint_Sensor_Library');
EEPROMPath = fullfile('$(START_DIR)', 'libs/ArduinoCore-avr/libraries/EEPROM/src');

addIncludePaths(objBuildInfo, AVRWirePath);
addIncludePaths(objBuildInfo, AVRWirePath2);
addIncludePaths(objBuildInfo, HD44780Path);
addIncludePaths(objBuildInfo, KeypadPath);
addIncludePaths(objBuildInfo, FingerprintPath);
addIncludePaths(objBuildInfo, EEPROMPath);

addSourceFiles(objBuildInfo, 'Wire.cpp', AVRWirePath);
addSourceFiles(objBuildInfo, 'twi.c', AVRWirePath2);
addSourceFiles(objBuildInfo, 'hd44780.cpp', HD44780Path);
addSourceFiles(objBuildInfo, 'Keypad.cpp', KeypadPath);
addSourceFiles(objBuildInfo, 'Key.cpp', KeypadPath);
addSourceFiles(objBuildInfo, 'Adafruit_Fingerprint.cpp', FingerprintPath);